Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.passage
Class BookTreeNode

    java.lang.Object
      org.crosswire.bibledesktop.passage.BibleTreeNode
          org.crosswire.bibledesktop.passage.BookTreeNode

All Implemented Interfaces:
  TreeNode

Direct Known Subclasses:
  ChapterTreeNode

    public class BookTreeNode

extends BibleTreeNode

PassageTableModel.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: BookTreeNode.java,v 1.6 2005/03/19 18:45:12 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Nested Class Summary

Nested classes/interfaces inherited from class org.crosswire.bibledesktop.passage.BibleTreeNode
`BibleTreeNode.NodeEnumeration`

Field Summary
`protected int` | `book` The Book that this node referrs to
`protected TreeNode` | `parent` The base of this tree

Fields inherited from class org.crosswire.bibledesktop.passage.BibleTreeNode
`kids, ref`

Constructor Summary
`protected` | `BookTreeNode(TreeNode parent, int book)` This constructor is for when we are really a BookTreeNode

Method Summary
`int` | `getBook()` The current book number (Genesis=1)
`TreeNode` | `getChildAt(int i)` Returns the child `TreeNode` at index i
`int` | `getIndex(TreeNode node)` Returns the index of `node` in the receivers children.
`TreeNode` | `getParent()` Returns the parent `TreeNode` of the receiver.
`void` | `setPassage(Passage ref, boolean filter)` This constructor is for when we are really a BookTreeNode
`String` | `toString()` How we appear in the Tree

Methods inherited from class org.crosswire.bibledesktop.passage.BibleTreeNode
`children, getAllowsChildren, getChildCount, isLeaf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### book

    protected int book

  The Book that this node referrs to

### parent

    protected TreeNode parent

  The base of this tree

Constructor Detail

### BookTreeNode

    protected BookTreeNode(TreeNode parent,
                           int book)
                    throws NoSuchVerseException

  This constructor is for when we are really a BookTreeNode

  Throws:
    `NoSuchVerseException`

Method Detail

### setPassage

    public void setPassage(Passage ref,
                           boolean filter)

  This constructor is for when we are really a BookTreeNode

  Overrides:
    `setPassage` in class `BibleTreeNode`

### getChildAt

    public TreeNode getChildAt(int i)

  Returns the child `TreeNode` at index i

  Specified by:
    `getChildAt` in interface `TreeNode`
  Overrides:
    `getChildAt` in class `BibleTreeNode`

### getParent

    public TreeNode getParent()

  Returns the parent `TreeNode` of the receiver.

  Specified by:
    `getParent` in interface `TreeNode`
  Overrides:
    `getParent` in class `BibleTreeNode`

### getIndex

    public int getIndex(TreeNode node)

  Returns the index of `node` in the receivers children. If the receiver does not contain `node`, -1 will be returned.

  Specified by:
    `getIndex` in interface `TreeNode`
  Overrides:
    `getIndex` in class `BibleTreeNode`

### toString

    public String toString()

  How we appear in the Tree

  Overrides:
    `toString` in class `BibleTreeNode`

### getBook

    public int getBook()

  The current book number (Genesis=1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD